/**
 * A media-viewer script for web pages that allows content to be viewed without
 * navigating away from the original linking page.
 *
 * This file is part of Shadowbox.
 *
 * Shadowbox is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * Shadowbox is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Shadowbox. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author      Michael J. I. Jackson <mjijackson@gmail.com>
 * @copyright   2007 Michael J. I. Jackson
 * @license     http://www.gnu.org/licenses/lgpl-3.0.txt GNU LGPL 3.0
 * @version     SVN: $Id: shadowbox.js 75 2008-02-21 16:51:29Z mjijackson $
 */if(typeof Shadowbox=="undefined")throw"Unable to load Shadowbox, no base library adapter found.";(function(){var version="1.0",options={assetURL:mura.context+"/default/images/shadowbox/",loadingImage:"loading.gif",animate:!0,animSequence:"wh",flvPlayer:"flvplayer.swf",overlayColor:"#000",overlayOpacity:.8,overlayBgImage:"overlay-85.png",listenOverlay:!1,autoplayMovies:!0,showMovieControls:!0,resizeDuration:.35,fadeDuration:.35,displayNav:!0,continuous:!1,displayCounter:!0,counterType:"default",viewportPadding:40,handleLgImages:"resize",initialHeight:160,initialWidth:320,enableKeys:!0,keysClose:["c","q",27],keysNext:["n",39],keysPrev:["p",37],onOpen:null,onFinish:null,onChange:null,onClose:null,handleUnsupported:"link",skipSetup:!1,text:{cancel:"Cancel",loading:"Loading",close:'<span class="shortcut">C</span>lose',next:'<span class="shortcut">N</span>ext',prev:'<span class="shortcut">P</span>revious',errors:{single:'You must install the <a href="{0}">{1}</a> browser plugin to view this content.',shared:'You must install both the <a href="{0}">{1}</a> and <a href="{2}">{3}</a> browser plugins to view this content.',either:'You must install either the <a href="{0}">{1}</a> or the <a href="{2}">{3}</a> browser plugin to view this content.'}},errors:{fla:{name:"Flash",url:"http://www.adobe.com/products/flashplayer/"},qt:{name:"QuickTime",url:"http://www.apple.com/quicktime/download/"},wmp:{name:"Windows Media Player",url:"http://www.microsoft.com/windows/windowsmedia/"},f4m:{name:"Flip4Mac",url:"http://www.flip4mac.com/wmv_download.htm"}},skin:{main:'<div id="shadowbox_overlay"></div><div id="shadowbox_container"><div id="shadowbox"><div id="shadowbox_title"><div id="shadowbox_title_inner"></div></div><div id="shadowbox_body"><div id="shadowbox_body_inner"></div><div id="shadowbox_loading"></div></div><div id="shadowbox_toolbar"><div id="shadowbox_toolbar_inner"></div></div></div></div>',loading:'<img src="{0}" alt="{1}" /><span><a href="javascript:Shadowbox.close();">{2}</a></span>',counter:'<div id="shadowbox_counter">{0}</div>',close:'<div id="shadowbox_nav_close"><a href="javascript:Shadowbox.close();">{0}</a></div>',next:'<div id="shadowbox_nav_next"><a href="javascript:Shadowbox.next();">{0}</a></div>',prev:'<div id="shadowbox_nav_previous"><a href="javascript:Shadowbox.previous();">{0}</a></div>'},ext:{img:["png","jpg","jpeg","gif","bmp"],qt:["dv","mov","moov","movie","mp4"],wmp:["asf","wm","wmv"],qtwmp:["avi","mpg","mpeg"],iframe:["asp","aspx","cgi","cfm","htm","html","pl","php","php3","php4","php5","phtml","rb","rhtml","shtml","txt","vbs"]}},default_options=null,SL=Shadowbox.lib,RE={resize:/(img|swf|flv)/,overlay:/(img|iframe|html|inline)/,swf:/\.swf\s*$/i,flv:/\.flv\s*$/i,domain:/:\/\/(.*?)[:\/]/,inline:/#(.+)$/,rel:/^(light|shadow)box/i,gallery:/^(light|shadow)box\[(.*?)\]/i,unsupported:/^unsupported-(\w+)/,param:/\s*([a-z_]*?)\s*=\s*(.+)\s*/,empty:/^(?:br|frame|hr|img|input|link|meta|range|spacer|wbr|area|param|col)$/i},cache=[],current_gallery,current,optimal_height=options.initialHeight,optimal_width=options.initialWidth,current_height=0,current_width=0,preloader,initialized=!1,activated=!1,drag,draggable,overlay_img_needed,ua=navigator.userAgent.toLowerCase(),isStrict=document.compatMode=="CSS1Compat",isOpera=ua.indexOf("opera")>-1,isIE=ua.indexOf("msie")>-1,isIE7=ua.indexOf("msie 7")>-1,isIE9=ua.indexOf("msie 9")>-1,isBorderBox=isIE&&!isStrict,isSafari=/webkit|khtml/.test(ua),isSafari3=isSafari&&!!document.evaluate,isGecko=!isSafari&&ua.indexOf("gecko")>-1,isWindows=ua.indexOf("windows")!=-1||ua.indexOf("win32")!=-1,isMac=ua.indexOf("macintosh")!=-1||ua.indexOf("mac os x")!=-1,isLinux=ua.indexOf("linux")!=-1,absolute_pos=isIE&&!isIE7,plugins=null;if(navigator.plugins&&navigator.plugins.length)var detectPlugin=function(e){var t=!1;for(var n=0,r=navigator.plugins.length;n<r;++n)if(navigator.plugins[n].name.indexOf(e)>-1){t=!0;break}return t},f4m=detectPlugin("Flip4Mac"),plugins={fla:detectPlugin("Shockwave Flash"),qt:detectPlugin("QuickTime"),wmp:!f4m&&detectPlugin("Windows Media"),f4m:f4m};else var detectPlugin=function(e){var t=!1;try{var n=new ActiveXObject(e);n&&(t=!0)}catch(r){}return t},plugins={fla:detectPlugin("ShockwaveFlash.ShockwaveFlash"),qt:detectPlugin("QuickTime.QuickTime"),wmp:detectPlugin("wmplayer.ocx"),f4m:!1};var apply=function(e,t){for(var n in t)e[n]=t[n];return e},isLink=function(e){return typeof e.tagName=="string"&&(e.tagName.toUpperCase()=="A"||e.tagName.toUpperCase()=="AREA")};SL.getViewportHeight=function(){var e=window.innerHeight,t=document.compatMode;(t||isIE)&&!isOpera&&(e=isStrict?document.documentElement.clientHeight:document.body.clientHeight);return e};SL.getViewportWidth=function(){var e=window.innerWidth,t=document.compatMode;if(t||isIE)e=isStrict?document.documentElement.clientWidth:document.body.clientWidth;return e};SL.getDocumentHeight=function(){var e=isStrict?document.documentElement.scrollHeight:document.body.scrollHeight;return Math.max(e,SL.getViewportHeight())};SL.getDocumentWidth=function(){var e=isStrict?document.documentElement.scrollWidth:document.body.scrollWidth;return Math.max(e,SL.getViewportWidth())};var clearOpacity=function(e){if(isIE&&!isIE9)typeof e.style.filter=="string"&&/alpha/i.test(e.style.filter)&&(e.style.filter="");else{e.style.opacity="";e.style["-moz-opacity"]="";e.style["-khtml-opacity"]=""}},fadeIn=function(e,t,n,r){if(options.animate){SL.setStyle(e,"opacity",0);e.style.visibility="visible";SL.animate(e,{opacity:{to:t}},n,function(){t==1&&clearOpacity(e);typeof r=="function"&&r()})}else{t==1?clearOpacity(e):SL.setStyle(e,"opacity",t);e.style.visibility="visible";typeof r=="function"&&r()}},fadeOut=function(e,t,n){var r=function(){e.style.visibility="hidden";clearOpacity(e);typeof n=="function"&&n()};options.animate?SL.animate(e,{opacity:{to:0}},t,r):r()},appendHTML=function(e,t){e=SL.get(e);if(e.insertAdjacentHTML){e.insertAdjacentHTML("BeforeEnd",t);return e.lastChild}if(e.lastChild){var n=e.ownerDocument.createRange();n.setStartAfter(e.lastChild);var r=n.createContextualFragment(t);e.appendChild(r);return e.lastChild}e.innerHTML=t;return e.lastChild},overwriteHTML=function(e,t){e=SL.get(e);e.innerHTML=t;return e.firstChild},getComputedHeight=function(e){var t=Math.max(e.offsetHeight,e.clientHeight);if(!t){t=parseInt(SL.getStyle(e,"height"),10)||0;isBorderBox||(t+=parseInt(SL.getStyle(e,"padding-top"),10)+parseInt(SL.getStyle(e,"padding-bottom"),10)+parseInt(SL.getStyle(e,"border-top-width"),10)+parseInt(SL.getStyle(e,"border-bottom-width"),10))}return t},getComputedWidth=function(e){var t=Math.max(e.offsetWidth,e.clientWidth);if(!t){t=parseInt(SL.getStyle(e,"width"),10)||0;isBorderBox||(t+=parseInt(SL.getStyle(e,"padding-left"),10)+parseInt(SL.getStyle(e,"padding-right"),10)+parseInt(SL.getStyle(e,"border-left-width"),10)+parseInt(SL.getStyle(e,"border-right-width"),10))}return t},getPlayerType=function(e){if(RE.img.test(e))return"img";var t=e.match(RE.domain),n=t?document.domain==t[1]:!1;if(e.indexOf("#")>-1&&n)return"inline";var r=e.indexOf("?");r>-1&&(e=e.substring(0,r));return RE.swf.test(e)?plugins.fla?"swf":"unsupported-swf":RE.flv.test(e)?plugins.fla?"flv":"unsupported-flv":RE.qt.test(e)?plugins.qt?"qt":"unsupported-qt":RE.wmp.test(e)?plugins.wmp?"wmp":plugins.f4m?"qt":isMac?plugins.qt?"unsupported-f4m":"unsupported-qtf4m":"unsupported-wmp":RE.qtwmp.test(e)?plugins.qt?"qt":plugins.wmp?"wmp":isMac?"unsupported-qt":"unsupported-qtwmp":!n||RE.iframe.test(e)?"iframe":"iframe"},handleClick=function(e){var t;if(isLink(this))t=this;else{t=SL.getTarget(e);while(!isLink(t)&&t.parentNode)t=t.parentNode}Shadowbox.open(t);current_gallery.length&&SL.preventDefault(e)},setupGallery=function(e){var t=apply({},e);if(!e.gallery){current_gallery=[t];current=0}else{current_gallery=[];var n,r;for(var i=0,s=cache.length;i<s;++i){r=cache[i];if(r.gallery){r.content==e.content&&r.gallery==e.gallery&&r.title==e.title&&(n=current_gallery.length);r.gallery==e.gallery&&current_gallery.push(apply({},r))}}if(n==null){current_gallery.unshift(t);n=0}current=n}var o,u;for(var i=0,s=current_gallery.length;i<s;++i){u=!1;if(current_gallery[i].type=="unsupported")u=!0;else if(o=RE.unsupported.exec(current_gallery[i].type))if(options.handleUnsupported=="link"){current_gallery[i].type="html";var a;switch(o[1]){case"qtwmp":a=String.format(options.text.errors.either,options.errors.qt.url,options.errors.qt.name,options.errors.wmp.url,options.errors.wmp.name);break;case"qtf4m":a=String.format(options.text.errors.shared,options.errors.qt.url,options.errors.qt.name,options.errors.f4m.url,options.errors.f4m.name);break;default:if(o[1]=="swf"||o[1]=="flv")o[1]="fla";a=String.format(options.text.errors.single,options.errors[o[1]].url,options.errors[o[1]].name)}current_gallery[i]=apply(current_gallery[i],{height:160,width:320,content:'<div class="shadowbox_message">'+a+"</div>"})}else u=!0;else if(current_gallery[i].type=="inline"){var o=RE.inline.exec(current_gallery[i].content);if(!o)throw"No element id found for inline content";var f;if(!(f=SL.get(o[1])))throw"No element found with id "+o[1];current_gallery[i].content=f.innerHTML}if(u){current_gallery.splice(i,1);i<current&&--current;--i}}},buildBars=function(){var e=current_gallery[current];if(!e)return;var t=SL.get("shadowbox_title_inner");t.innerHTML=e.title?e.title:"";var n=SL.get("shadowbox_toolbar_inner");n.innerHTML="";if(options.displayNav){n.innerHTML=String.format(options.skin.close,options.text.close);if(current_gallery.length>1)if(options.continuous){appendHTML(n,String.format(options.skin.next,options.text.next));appendHTML(n,String.format(options.skin.prev,options.text.prev))}else{current_gallery.length-1>current&&appendHTML(n,String.format(options.skin.next,options.text.next));current>0&&appendHTML(n,String.format(options.skin.prev,options.text.prev))}}if(current_gallery.length>1&&options.displayCounter){var r="";if(options.counterType=="skip")for(var i=0,s=current_gallery.length;i<s;++i){r+='<a href="javascript:Shadowbox.change('+i+');"';i==current&&(r+=' class="shadowbox_counter_current"');r+=">"+(i+1)+"</a>"}else r=current+1+" of "+current_gallery.length;appendHTML(n,String.format(options.skin.counter,r))}},hideBars=function(e){var t=getComputedHeight(SL.get("shadowbox_title")),n=0-getComputedHeight(SL.get("shadowbox_toolbar")),r=SL.get("shadowbox_title_inner"),i=SL.get("shadowbox_toolbar_inner");if(options.animate&&e){SL.animate(r,{marginTop:{to:t}},.2);SL.animate(i,{marginTop:{to:n}},.2,e)}else{SL.setStyle(r,"marginTop",t+"px");SL.setStyle(i,"marginTop",n+"px")}},showBars=function(e){var t=SL.get("shadowbox_title_inner");if(options.animate){t.innerHTML!=""&&SL.animate(t,{marginTop:{to:0}},.35);SL.animate(SL.get("shadowbox_toolbar_inner"),{marginTop:{to:0}},.35,e)}else{t.innerHTML!=""&&SL.setStyle(t,"margin-top","0px");SL.setStyle(SL.get("shadowbox_toolbar_inner"),"margin-top","0px");e()}},resetDrag=function(){drag={x:0,y:0,start_x:null,start_y:null}},toggleDrag=function(e){if(e){resetDrag();var t=["position:absolute","cursor:"+(isGecko?"-moz-grab":"move")];t.push(isIE?"background-color:#fff;filter:alpha(opacity=0)":"background-color:transparent");appendHTML("shadowbox_body_inner",'<div id="shadowbox_drag_layer" style="'+t.join(";")+'"></div>');SL.addEvent(SL.get("shadowbox_drag_layer"),"mousedown",listenDrag)}else{var n=SL.get("shadowbox_drag_layer");if(n){SL.removeEvent(n,"mousedown",listenDrag);SL.remove(n)}}},listenDrag=function(e){drag.start_x=e.clientX;drag.start_y=e.clientY;draggable=SL.get("shadowbox_content");SL.addEvent(document,"mousemove",positionDrag);SL.addEvent(document,"mouseup",unlistenDrag);isGecko&&SL.setStyle(SL.get("shadowbox_drag_layer"),"cursor","-moz-grabbing")},unlistenDrag=function(){SL.removeEvent(document,"mousemove",positionDrag);SL.removeEvent(document,"mouseup",unlistenDrag);isGecko&&SL.setStyle(SL.get("shadowbox_drag_layer"),"cursor","-moz-grab")},positionDrag=function(e){var t=e.clientY-drag.start_y;drag.start_y=drag.start_y+t;drag.y=Math.max(Math.min(0,drag.y+t),current_height-optimal_height);SL.setStyle(draggable,"top",drag.y+"px");var n=e.clientX-drag.start_x;drag.start_x=drag.start_x+n;drag.x=Math.max(Math.min(0,drag.x+n),current_width-optimal_width);SL.setStyle(draggable,"left",drag.x+"px")},loadContent=function(){var e=current_gallery[current];if(!e)return;buildBars();switch(e.type){case"img":preloader=new Image;preloader.onload=function(){var t=e.height?parseInt(e.height,10):preloader.height,n=e.width?parseInt(e.width,10):preloader.width;resizeContent(t,n,function(t){showBars(function(){setContent({tag:"img",height:t.i_height,width:t.i_width,src:e.content,style:"position:absolute"});if(t.enableDrag&&options.handleLgImages=="drag"){toggleDrag(!0);SL.setStyle(SL.get("shadowbox_drag_layer"),{height:t.i_height+"px",width:t.i_width+"px"})}finishContent()})});preloader.onload=function(){}};preloader.src=e.content;break;case"swf":case"flv":case"qt":case"wmp":var t=Shadowbox.movieMarkup(e);resizeContent(t.height,t.width,function(){showBars(function(){setContent(t);finishContent()})});break;case"iframe":var n=e.height?parseInt(e.height,10):SL.getViewportHeight(),r=e.width?parseInt(e.width,10):SL.getViewportWidth(),i={tag:"iframe",name:"shadowbox_content",height:"100%",width:"100%",frameborder:"0",marginwidth:"0",marginheight:"0",scrolling:"auto"};resizeContent(n,r,function(t){showBars(function(){setContent(i);var t=isIE?SL.get("shadowbox_content").contentWindow:window.frames.shadowbox_content;t.location=e.content;finishContent()})});break;case"html":case"inline":var n=e.height?parseInt(e.height,10):SL.getViewportHeight(),r=e.width?parseInt(e.width,10):SL.getViewportWidth(),i={tag:"div",cls:"html",html:e.content};resizeContent(n,r,function(){showBars(function(){setContent(i);finishContent()})});break;default:throw"Shadowbox cannot open content of type "+e.type}if(current_gallery.length>0){var s=current_gallery[current+1];s||(s=current_gallery[0]);if(s.type=="img"){var o=new Image;o.src=s.content}var u=current_gallery[current-1];u||(u=current_gallery[current_gallery.length-1]);if(u.type=="img"){var a=new Image;a.src=u.content}}},setContent=function(e){var t="shadowbox_content",n=SL.get(t);if(n)switch(n.tagName.toUpperCase()){case"OBJECT":var r=current_gallery[e?current-1:current];if(r.type=="wmp"&&isIE)try{shadowbox_content.controls.stop();shadowbox_content.URL="non-existent.wmv";window.shadowbox_content=function(){}}catch(i){}else if(r.type=="qt"&&isSafari){try{document.shadowbox_content.Stop()}catch(i){}n.innerHTML=""}setTimeout(function(){SL.remove(n)},10);break;case"IFRAME":SL.remove(n);isGecko&&delete window.frames[t];break;default:SL.remove(n)}if(e){e.id||(e.id=t);return appendHTML("shadowbox_body_inner",Shadowbox.createHTML(e))}return null},finishContent=function(){var e=current_gallery[current];if(!e)return;hideLoading(function(){listenKeyboard(!0);options.onFinish&&typeof options.onFinish=="function"&&options.onFinish(e)})},resizeContent=function(e,t,n){optimal_height=e;optimal_width=t;var r=RE.resize.test(current_gallery[current].type),i=getDimensions(optimal_height,optimal_width,r);if(n){var s=function(){n(i)};switch(options.animSequence){case"hw":adjustHeight(i.height,i.top,!0,function(){adjustWidth(i.width,!0,s)});break;case"wh":adjustWidth(i.width,!0,function(){adjustHeight(i.height,i.top,!0,s)});break;default:adjustWidth(i.width,!0);adjustHeight(i.height,i.top,!0,s)}}else{adjustWidth(i.width,!1);adjustHeight(i.height,i.top,!1);if(options.handleLgImages=="resize"&&r){var o=SL.get("shadowbox_content");if(o){o.height=i.i_height;o.width=i.i_width}}}},getDimensions=function(e,t,n){typeof n=="undefined"&&(n=!1);var r=e=parseInt(e),i=t=parseInt(t),s=SL.get("shadowbox_body"),o=SL.getViewportHeight(),u=parseInt(SL.getStyle(s,"border-top-width"),10)+parseInt(SL.getStyle(s,"border-bottom-width"),10)+parseInt(SL.getStyle(s,"margin-top"),10)+parseInt(SL.getStyle(s,"margin-bottom"),10)+getComputedHeight(SL.get("shadowbox_title"))+getComputedHeight(SL.get("shadowbox_toolbar"))+2*options.viewportPadding;r+u>=o&&(r=o-u);var a=SL.getViewportWidth(),f=parseInt(SL.getStyle(s,"border-left-width"),10)+parseInt(SL.getStyle(s,"border-right-width"),10)+parseInt(SL.getStyle(s,"margin-left"),10)+parseInt(SL.getStyle(s,"margin-right"),10),l=f+2*options.viewportPadding;i+l>=a&&(i=a-l);var c=!1,h=e,p=t,d=options.handleLgImages;if(n&&(d=="resize"||d=="drag")){var v=(e-r)/e,m=(t-i)/t;if(d=="resize"){v>m?i=Math.round(t/e*r):m>v&&(r=Math.round(e/t*i));p=i;h=r}else{var g=current_gallery[current];g&&(c=g.type=="img"&&(v>0||m>0))}}return{height:r,width:i+f,i_height:h,i_width:p,top:(o-(r+u))/2+options.viewportPadding,enableDrag:c}},centerVertically=function(){var e=SL.get("shadowbox"),t=document.documentElement.scrollTop,n=t+Math.round((SL.getViewportHeight()-(e.offsetHeight||0))/2);SL.setStyle(e,"top",n+"px")},adjustHeight=function(e,t,n,r){e=parseInt(e);current_height=e;var i=SL.get("shadowbox_body_inner");if(n&&options.animate)SL.animate(i,{height:{to:e}},options.resizeDuration,r);else{SL.setStyle(i,"height",e+"px");typeof r=="function"&&r()}if(absolute_pos){centerVertically();SL.addEvent(window,"scroll",centerVertically);t+=document.documentElement.scrollTop}var s=SL.get("shadowbox");n&&options.animate?SL.animate(s,{top:{to:t}},options.resizeDuration):SL.setStyle(s,"top",t+"px")},adjustWidth=function(e,t,n){e=parseInt(e);current_width=e;var r=SL.get("shadowbox");if(t&&options.animate)SL.animate(r,{width:{to:e}},options.resizeDuration,n);else{SL.setStyle(r,"width",e+"px");typeof n=="function"&&n()}},listenKeyboard=function(e){if(!options.enableKeys)return;e?document.onkeydown=handleKey:document.onkeydown=""},assertKey=function(e,t,n){return e.indexOf(t)!=-1||e.indexOf(n)!=-1},handleKey=function(e){var t=e?e.which:event.keyCode,n=String.fromCharCode(t).toLowerCase();assertKey(options.keysClose,n,t)?Shadowbox.close():assertKey(options.keysPrev,n,t)?Shadowbox.previous():assertKey(options.keysNext,n,t)&&Shadowbox.next()},toggleTroubleElements=function(e){var t=e?"visible":"hidden",n=document.getElementsByTagName("select");for(i=0,len=n.length;i<len;++i)n[i].style.visibility=t;var r=document.getElementsByTagName("object");for(i=0,len=r.length;i<len;++i)r[i].style.visibility=t;var s=document.getElementsByTagName("embed");for(i=0,len=s.length;i<len;++i)s[i].style.visibility=t},showLoading=function(){var e=SL.get("shadowbox_loading");overwriteHTML(e,String.format(options.skin.loading,options.assetURL+options.loadingImage,options.text.loading,options.text.cancel));e.style.visibility="visible"},hideLoading=function(e){var t=current_gallery[current].type,n=t=="img"||t=="html",r=SL.get("shadowbox_loading");if(n)fadeOut(r,.35,e);else{r.style.visibility="hidden";e()}},resizeOverlay=function(){var e=SL.get("shadowbox_overlay");SL.setStyle(e,{height:"100%",width:"100%"});SL.setStyle(e,"height",SL.getDocumentHeight()+"px");isSafari3||SL.setStyle(e,"width",SL.getDocumentWidth()+"px")},checkOverlayImgNeeded=function(){if(!isGecko||!isMac)return!1;for(var e=0,t=current_gallery.length;e<t;++e)if(!RE.overlay.exec(current_gallery[e].type))return!0;return!1},toggleOverlay=function(e){var t=SL.get("shadowbox_overlay");overlay_img_needed==null&&(overlay_img_needed=checkOverlayImgNeeded());if(e){resizeOverlay();if(overlay_img_needed){SL.setStyle(t,{visibility:"visible",backgroundColor:"transparent",backgroundImage:"url("+options.assetURL+options.overlayBgImage+")",backgroundRepeat:"repeat",opacity:1});e()}else{SL.setStyle(t,{visibility:"visible",backgroundColor:options.overlayColor,backgroundImage:"none"});fadeIn(t,options.overlayOpacity,options.fadeDuration,e)}}else{overlay_img_needed?SL.setStyle(t,"visibility","hidden"):fadeOut(t,options.fadeDuration);overlay_img_needed=null}};Shadowbox.init=function(e){if(initialized)return;options=apply(options,e||{});appendHTML(document.body,options.skin.main);RE.img=new RegExp(".("+options.ext.img.join("|")+")s*$","i");RE.qt=new RegExp(".("+options.ext.qt.join("|")+")s*$","i");RE.wmp=new RegExp(".("+options.ext.wmp.join("|")+")s*$","i");RE.qtwmp=new RegExp(".("+options.ext.qtwmp.join("|")+")s*$","i");RE.iframe=new RegExp(".("+options.ext.iframe.join("|")+")s*$","i");var t=null,n=function(){clearInterval(t);t=null;resizeOverlay();resizeContent(optimal_height,optimal_width)};SL.addEvent(window,"resize",function(){if(activated){if(t){clearInterval(t);t=null}t||(t=setInterval(n,50))}});options.listenOverlay&&SL.addEvent(SL.get("shadowbox_overlay"),"click",Shadowbox.close);if(absolute_pos){SL.setStyle(SL.get("shadowbox_container"),"position","absolute");SL.setStyle("shadowbox_body","zoom",1);SL.addEvent(SL.get("shadowbox_container"),"click",function(e){var t=SL.getTarget(e);t.id&&t.id=="shadowbox_container"&&Shadowbox.close()})}options.skipSetup||Shadowbox.setup();initialized=!0};Shadowbox.setup=function(e,t){if(!e){var e=[],n=document.getElementsByTagName("a"),r;for(var i=0,s=n.length;i<s;++i){r=n[i].getAttribute("data-rel");r||(r=n[i].getAttribute("rel"));r&&RE.rel.test(r)&&(e[e.length]=n[i])}}else e.length||(e=[e]);var o;for(var i=0,s=e.length;i<s;++i){o=e[i];if(typeof o.shadowboxCacheKey=="undefined"){o.shadowboxCacheKey=cache.length;SL.addEvent(o,"click",handleClick)}cache[o.shadowboxCacheKey]=this.buildCacheObj(o,t)}};Shadowbox.buildCacheObj=function(link,opts){var href=link.href,o={el:link,title:link.getAttribute("title"),type:getPlayerType(href),options:apply({},opts||{}),content:href},opt,l_opts=["title","type","height","width","gallery"];for(var i=0,len=l_opts.length;i<len;++i){opt=l_opts[i];if(typeof o.options[opt]!="undefined"){o[opt]=o.options[opt];delete o.options[opt]}}var rel=link.getAttribute("data-rel");rel||(rel=link.getAttribute("rel"));if(rel){var match=rel.match(RE.gallery);match&&(o.gallery=escape(match[2]));var params=rel.split(";");for(var i=0,len=params.length;i<len;++i){match=params[i].match(RE.param);match&&(match[1]=="options"?eval("o.options = apply(o.options, "+match[2]+")"):o[match[1]]=match[2])}}return o};Shadowbox.applyOptions=function(e){if(e){default_options=apply({},options);options=apply(options,e)}};Shadowbox.revertOptions=function(){if(default_options){options=default_options;default_options=null}};Shadowbox.open=function(e,t){if(activated)return;activated=!0;isLink(e)&&(typeof e.shadowboxCacheKey=="undefined"||typeof cache[e.shadowboxCacheKey]=="undefined"?e=this.buildCacheObj(e,t):e=cache[e.shadowboxCacheKey]);this.revertOptions();(e.options||t)&&this.applyOptions(apply(apply({},e.options||{}),t||{}));setupGallery(e);if(current_gallery.length){options.onOpen&&typeof options.onOpen=="function"&&options.onOpen(e);document.body.style.overflow="hidden";SL.setStyle(SL.get("shadowbox"),"display","block");toggleTroubleElements(!1);var n=getDimensions(options.initialHeight,options.initialWidth);adjustHeight(n.height,n.top);adjustWidth(n.width);hideBars(!1);toggleOverlay(function(){SL.setStyle(SL.get("shadowbox"),"visibility","visible");showLoading();loadContent()})}};Shadowbox.change=function(e){if(!current_gallery)return;if(!current_gallery[e]){if(!options.continuous)return;e=e<0?current_gallery.length-1:0}current=e;toggleDrag(!1);setContent(null);listenKeyboard(!1);options.onChange&&typeof options.onChange=="function"&&options.onChange(current_gallery[current]);showLoading();hideBars(loadContent)};Shadowbox.next=function(){return this.change(current+1)};Shadowbox.previous=function(){return this.change(current-1)};Shadowbox.close=function(){if(!activated)return;listenKeyboard(!1);SL.setStyle(SL.get("shadowbox"),{display:"none",visibility:"hidden"});absolute_pos&&SL.removeEvent(window,"scroll",centerVertically);toggleDrag(!1);setContent(null);if(preloader){preloader.onload=function(){};preloader=null}toggleOverlay(!1);toggleTroubleElements(!0);options.onClose&&typeof options.onClose=="function"&&options.onClose(current_gallery[current]);document.body.style.overflow="auto";activated=!1};Shadowbox.clearCache=function(){for(var e=0,t=cache.length;e<t;++e)if(cache[e].el){SL.removeEvent(cache[e].el,"click",handleClick);delete cache[e].shadowboxCacheKey}cache=[]};Shadowbox.movieMarkup=function(e){var t=e.height?parseInt(e.height,10):300,n=e.width?parseInt(e.width,10):300,r=options.autoplayMovies,i=options.showMovieControls;if(e.options){e.options.autoplayMovies!=null&&(r=e.options.autoplayMovies);e.options.showMovieControls!=null&&(i=e.options.showMovieControls)}var s={tag:"object",name:"shadowbox_content"};switch(e.type){case"swf":var o=getDimensions(t,n,!0);t=o.height;n=o.width;s.type="application/x-shockwave-flash";s.data=e.content;s.children=[{tag:"param",name:"movie",value:e.content}];break;case"flv":r=r?"true":"false";var u="false",a=t/n;if(i){u="true";t+=20}var o=getDimensions(t,t/a,!0);t=o.height;n=(t-(i?20:0))/a;var f=["file="+e.content,"height="+t,"width="+n,"autostart="+r,"displayheight="+(t-(i?20:0)),"showicons="+u,"backcolor=0x000000&amp;frontcolor=0xCCCCCC&amp;lightcolor=0x557722"];s.type="application/x-shockwave-flash";s.data=options.assetURL+options.flvPlayer;s.children=[{tag:"param",name:"movie",value:options.assetURL+options.flvPlayer},{tag:"param",name:"flashvars",value:f.join("&amp;")},{tag:"param",name:"allowfullscreen",value:"true"}];break;case"qt":r=r?"true":"false";if(i){i="true";t+=16}else i="false";s.children=[{tag:"param",name:"src",value:e.content},{tag:"param",name:"scale",value:"aspect"},{tag:"param",name:"controller",value:i},{tag:"param",name:"autoplay",value:r}];if(isIE){s.classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B";s.codebase="http://www.apple.com/qtactivex/qtplugin.cab#version=6,0,2,0"}else{s.type="video/quicktime";s.data=e.content}break;case"wmp":r=r?1:0;s.children=[{tag:"param",name:"autostart",value:r}];if(isIE){if(i){i="full";t+=70}else i="none";s.classid="clsid:6BF52A52-394A-11d3-B153-00C04F79FAA6";s.children[s.children.length]={tag:"param",name:"url",value:e.content};s.children[s.children.length]={tag:"param",name:"uimode",value:i}}else{if(i){i=1;t+=45}else i=0;s.type="video/x-ms-wmv";s.data=e.content;s.children[s.children.length]={tag:"param",name:"showcontrols",value:i}}}s.height=t;s.width=n;return s};Shadowbox.createHTML=function(e){var t="<"+e.tag;for(var n in e){if(n=="tag"||n=="html"||n=="children")continue;n=="cls"?t+=' class="'+e.cls+'"':t+=" "+n+'="'+e[n]+'"'}if(RE.empty.test(e.tag))t+="/>\n";else{t+=">\n";var r=e.children;if(r)for(var i=0,s=r.length;i<s;++i)t+=this.createHTML(r[i]);e.html&&(t+=e.html);t+="</"+e.tag+">\n"}return t};Shadowbox.getPlugins=function(){return plugins};Shadowbox.getOptions=function(){return options};Shadowbox.getCurrent=function(){return current_gallery[current]};Shadowbox.getVersion=function(){return version}})();Array.prototype.indexOf=Array.prototype.indexOf||function(e){for(var t=0,n=this.length;t<n;++t)if(this[t]==e)return t;return-1};String.format=String.format||function(e){var t=Array.prototype.slice.call(arguments,1);return e.replace(/\{(\d+)\}/g,function(e,n){return t[n]})};